<?php

// Should be set to 0 in production
error_reporting(E_ALL);

// Should be set to '0' in production
ini_set('display_errors', '1');

// Settings
$settings = [];

//MSSQL
if($_ENV['DB_DRIVER'] == 'sqlsrv') {
    $settings['db'] = [
        'driver'      => $_ENV['DB_DRIVER'],
        'host'        => $_ENV['DB_HOST'],
        'dbname'      => $_ENV['DB_NAME'],
        'user'        => $_ENV['DB_USER'],
        'password'    => $_ENV['DB_PASSWORD'],
        'charset'     => $_ENV['DB_CHARSET']
    ];
}

//ORACLEDB
if($_ENV['DB_DRIVER'] == 'oci8') {
    $settings['db'] = [
        'driver'      => $_ENV['DB_DRIVER'],
        'host'        => $_ENV['DB_HOST'],
        'dbname'      => $_ENV['DB_NAME'],
        'user'        => $_ENV['DB_USER'],
        'password'    => $_ENV['DB_PASSWORD'],
        'charset'     => $_ENV['DB_CHARSET'],
        'service'     => true,
        'pooled'      => filter_var($_ENV['DB_POOLED'], FILTER_VALIDATE_BOOLEAN),
        'sessionMode' => ($_ENV['DB_SESSION_MODE'] === "OCI_CRED_EXT") ? OCI_CRED_EXT : OCI_NO_AUTO_COMMIT
    ];
    
    if(empty($_ENV['DB_HOST'])) {
        unset($settings['db']['host']);
    }

    if (isset($_COOKIE['NRORG'])) {
        $nrorg = $_COOKIE['NRORG'];

        if (is_numeric($nrorg)) {
            unset($settings['db']['host']);
            $settings['db']['user'] = '/';
            $settings['db']['password'] = '';
            $settings['db']['dbname'] = 'USR_ORG_' . $nrorg;
        }
    }
}

$settings['commands'] = [
    \App\Console\ExampleCommand::class,
    // Add more here...
];

return $settings;
