<?php
namespace App\Factory;

use Doctrine\DBAL\Connection;

class Store {
    private $connection;

    public function __construct(Connection $connection) {
        $this->connection = $connection;
    }

    public function getStores() 
	{
		$sql = "
			SELECT F.CDFILIAL, F.NMFILIAL, M.NMMUNICIPIO, V.CDCAIXA,
			   N.DSENDEFILI AS LABELENDERECO, N.NRENDEFILISEP , N.NRCEPFILI, L.CDLOJA,
			   N.NRLATFILIAL, N.NRLONGFILIAL, P.NRDISTANCIAATEND, N.NMBAIRFILI, N.SGESTADO
		
		  FROM FILIAL F

		  JOIN ENDEFILI N
		    ON F.CDFILIAL = N.CDFILIAL
              
		  JOIN PARAVEND P
		    ON P.CDFILIAL = F.CDFILIAL
              
		  JOIN VENDEDOR V
		    ON V.CDVENDEDOR = P.CDVENDEDOR

		  JOIN MUNICIPIO M
		    ON M.CDMUNICIPIO = N.CDMUNICIPIO
		   AND M.SGESTADO = N.SGESTADO

		  JOIN LOJA L
	 	    ON L.CDFILIAL = F.CDFILIAL

		  JOIN CAIXA C
		    ON C.CDCAIXA = V.CDCAIXA
		   AND C.CDFILIAL = F.CDFILIAL
		   AND C.CDLOJA = L.CDLOJA

	 	 WHERE N.IDTPENDEFILI = 'P'
		   AND F.CDFILIAL NOT IN (SELECT B.CDFILIAL
		  FROM LOJABLOQ B
		 WHERE (B.NRDIASEMANABLOQ = :NRDIASEMANABLOQ OR B.NRDIASEMANABLOQ = 'T'))         
		 ORDER BY M.NMMUNICIPIO, F.NMFILIAL

		";

		$stmt = $this->connection->prepare($sql);
		
		$stmt->bindValue("NRDIASEMANABLOQ", strval(date("w") + 1));


		$result = $stmt->executeQuery();

    	return $result->fetchAllAssociative();
    }

	public function getStoreServiceHour($CDFILIAL, $CDLOJA, $NRDIAATENDELOJA) 
	{
		$sql = "
			SELECT NRSEQATENDELOJA, IDATENDELOJA, NRDIAATENDELOJA, HRINIATENDELOJA,
				   HRFIMATENDELOJA, CDLOJA, CDFILIAL

			  FROM ATENDELOJA

			 WHERE CDLOJA			= :CDLOJA
			   AND CDFILIAL 		= :CDFILIAL
			   AND IDTPATENDELOJA	= 'F'
	    	   AND NRDIAATENDELOJA	= :NRDIAATENDELOJA

    	  ORDER BY NRDIAATENDELOJA, HRINIATENDELOJA
		";

		$stmt = $this->connection->prepare($sql);
		
		$stmt->bindValue("CDFILIAL", $CDFILIAL);
		$stmt->bindValue("CDLOJA", $CDLOJA);
		$stmt->bindValue("NRDIAATENDELOJA", $NRDIAATENDELOJA);

		$result = $stmt->executeQuery();
    	return $result->fetchAllAssociative();
	}

	public function getStoreScheduledIntervals($CDFILIAL, $CDLOJA) 
	{
		$sql = "
			SELECT NRDIAATENDELOJA, HRINIATENDELOJA, HRFIMATENDELOJA
	
			  FROM ATENDELOJA
	
			 WHERE CDFILIAL 		= :CDFILIAL
			   AND CDLOJA   		= :CDLOJA
			   AND IDATENDELOJA 	= 'A'
			   AND IDTPATENDELOJA	= 'A'
	
		  ORDER BY HRINIATENDELOJA
		";

		$stmt = $this->connection->prepare($sql);
		
		$stmt->bindValue("CDFILIAL", $CDFILIAL);
		$stmt->bindValue("CDLOJA", $CDLOJA);

		$result = $stmt->executeQuery();

    	return $result->fetchAllAssociative();
	}
}